summaryrefslogtreecommitdiffstats
path: root/apps
diff options
context:
space:
mode:
authorVincent Petry <pvince81@owncloud.com>2016-06-21 16:21:11 +0200
committerGitHub <noreply@github.com>2016-06-21 16:21:11 +0200
commit755c86e3a2bf04f976779bf86170462bef392639 (patch)
tree5d6c400c3a5cd58805b78cfb8b0c7cc561431c0f /apps
parent7f22aeb5d6779236efec72cdb6bb8703dd7c0ee1 (diff)
parentbac96e7ffc33fc4527656b7703a813555da79f5e (diff)
downloadnextcloud-server-755c86e3a2bf04f976779bf86170462bef392639.tar.gz
nextcloud-server-755c86e3a2bf04f976779bf86170462bef392639.zip
Merge pull request #24505 from owncloud/ceph-wait-for-http
Don't rely on the notify socket but on the service responding
Diffstat (limited to 'apps')
-rwxr-xr-xapps/files_external/tests/env/start-swift-ceph.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/apps/files_external/tests/env/start-swift-ceph.sh b/apps/files_external/tests/env/start-swift-ceph.sh
index ba17b8f42dd..b73fa899a6d 100755
--- a/apps/files_external/tests/env/start-swift-ceph.sh
+++ b/apps/files_external/tests/env/start-swift-ceph.sh
@@ -74,6 +74,11 @@ if [[ $ready != 'READY=1' ]]; then
docker logs $container
exit 1
fi
+if ! "$thisFolder"/env/wait-for-connection ${host} 80 600; then
+ echo "[ERROR] Waited 600 seconds, no response" >&2
+ docker logs $container
+ exit 1
+fi
echo "Waiting another 15 seconds"
sleep 15